[ubuntu/lucid] lcd4linux 0.10.1~rc2-2ubuntu2 (Accepted)

Reinhard Tartler siretart at ubuntu.com
Tue Mar 16 15:42:53 GMT 2010

On Tue, Mar 16, 2010 at 14:53:26 (CET), charlie wrote:
> I actually wanted to sync lcd4linux-0.10.1~rc2-3 from debian because it
> brought in additional bug fixes however lcd4linux-0.10.1~rc2-3 also
> FTBFS on lucid.  

I've taken a look at uploaded lcd4linux-0.10.1~rc2-4 to debian, which
builds fine in lucid.

> I was unaware of the licensing issues associated with libssl, I am now.
> I will dig into the code and see if I can find what is requiring libssl,
> not sure how successful I will be.  

the actual problem is that ax_python_devel.m4 from the autoconf archive,
which can be found here:

Still adds LOCALMODLIBS to its CFLAGS, which was unnecessary for
python<=2.5 (it was empty there) and is harmful for python 2.6 (it adds -lssl)

does anyone have contact to the autoconf archive maintainers and knows
where to forward this issue to? I image other packages will have the
same problem.

Reinhard Tartler, KeyID 945348A4

More information about the ubuntu-devel mailing list